import csv
import numpy.ma as ma

# Calculates the average price of the last half of the trades
def average_price(prices):
    half_len = int(len(prices)/2)
    second_half = prices[-half_len:]
    return ma.mean([float(a) for a in second_half])

def get_row(model):
    row = []
    row.append(model.num_adaptable)
    row.append(model.num_fixed_markup)
    row.append(model.num_random_markup)
    row.append(model.num_strategic)
    row.append(average_price(model.trades_alpha))
    row.append(average_price(model.trades_beta))
    row.append(model.average_belief)
    row.append(model.median_belief)
    row.append(model.wealth_distribution)
    row.append(model.belief_distribution)
    row.append(model.alpha_shape)
    row.append(model.mean_belief)
    row.append(model.sigma_belief)
    return row

# Writes the data to a predefined csv
def write_to_csv(model):
    with open(model.csv_name, 'a') as csvfile:
        writer = csv.writer(csvfile)
        writer.writerow(get_row(model))